## python-murano-pkg-check 0.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
PyYAML>=3.10.0 # MIT
yaql>=1.1.0 # Apache 2.0 License
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
semantic-version>=2.3.1 # BSD
oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
python-murano-pkg-check (0.3.0-10) unstable; urgency=medium

  * Cleans better (Closes: #1045251).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:38:54 +0200

python-murano-pkg-check (0.3.0-9) unstable; urgency=medium

  * Add autopkgtest.
  * Fixed d/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Jan 2023 13:48:48 +0100

python-murano-pkg-check (0.3.0-8) unstable; urgency=medium

  * Add use-safe_load.patch (Closes: #1026595).

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Jan 2023 15:53:02 +0100

python-murano-pkg-check (0.3.0-7) unstable; urgency=medium

  * Re-add python3-mock as build-depends (Closes: #973219).
  * Switch to debhelper-compat = 11.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2020 10:11:30 +0100

python-murano-pkg-check (0.3.0-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Remove muranopkgcheck.tests.test_manager.ManagerTest.test_validate
    (Closes: #963398).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2020 14:09:30 +0200

python-murano-pkg-check (0.3.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:41:45 +0200

python-murano-pkg-check (0.3.0-4) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Removed Python 2 support.
  * Using python3 -m sphinx to build the doc.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 12:07:30 +0100

python-murano-pkg-check (0.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * Python 3 has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:32:50 +0000

python-murano-pkg-check (0.3.0-2) unstable; urgency=medium

  * Fix /usr/bin/* shebang to python3, not python3.x.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 21:10:40 +0000

python-murano-pkg-check (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #877657)

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 22:40:42 +0200

=== debian/control ===
Source: python-murano-pkg-check
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-mock,
 python3-oslo.i18n,
 python3-oslosphinx,
 python3-oslotest,
 python3-pbr,
 python3-semantic-version,
 python3-six,
 python3-stevedore,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 python3-yaql,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-murano-pkg-check
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-murano-pkg-check.git
Homepage: http://docs.openstack.org/developer/murano/

Package: python-murano-pkg-check-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: murano package validator tool - doc
 This package provide a way to validate Murano APPs. It checks packages
 against a list of known files and directories, the APP manifest consistency,
 and many other things.
 .
 This package contains the documentation.

Package: python3-murano-pkg-check
Architecture: all
Depends:
 python3-oslo.i18n,
 python3-pbr,
 python3-semantic-version,
 python3-six,
 python3-stevedore,
 python3-yaml,
 python3-yaql,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-murano-pkg-check-doc,
Description: murano package validator tool - Python 3.x
 This package provide a way to validate Murano APPs. It checks packages
 against a list of known files and directories, the APP manifest consistency,
 and many other things.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/murano-pkg-check.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-murano-pkg-check-doc/usr/share/doc/python-murano-pkg-check-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/murano-pkg-check/murano-pkg-check-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
